//
// Copyright (c) 2012, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;
using System.Windows.Forms;


namespace MindFusion.Diagramming.WinForms.Samples.CS.Genealogy
{
	/// <summary>
	/// Summary description for PersonPropsForm.
	/// </summary>
	public partial class PersonPropsForm : Form
	{
		public PersonPropsForm(Person p)
		{
			InitializeComponent();

			dtpBirthDate.Value = p.BirthDate;
			tbName.Text = p.Name;
			pbPhoto.Image = p.Photo;
			cbMaleOrFemale.Checked = p.MaleOrFemale;
		}

		private void btnBrowse_Click(object sender, EventArgs e)
		{
			if (ofd.ShowDialog() == DialogResult.OK)
			{
				Image img = Bitmap.FromFile(ofd.FileName);
				if (img != null)
					pbPhoto.Image = img;
			}
		}

		public DateTime BirthDate
		{
			get { return dtpBirthDate.Value; }
		}

		public string PersonName
		{
			get { return tbName.Text; }
		}

		public Image Photo
		{
			get { return pbPhoto.Image; }
		}

		public bool MaleOrFemale
		{
			get { return cbMaleOrFemale.Checked; }
		}
	}
}
